Question

Firebase extension google cloud function runtime version

  • 1 November 2023
  • 2 replies
  • 364 views

Badge +5

I’ve just installed the Firebase Extension and I see it on Google Functions page but the runtime version has a warning: 

Node.js 14 will be deprecated on Jan 30, 2024. Please update this function using the latest runtime version available.

Any idea how to update it to the latest or min suggested version?

 


2 replies

Badge +1

The new updated firebase extension is published and you can update
I’ve also asked for it 
https://github.com/RevenueCat/firestore-revenuecat-purchases/issues/65

Badge +5

I tried to upgrade and now getting errors.

Service account ext-firestore-revenuecat--dr0f already exists within project projects/my-project
that was during the upgrade of the extension.

 

now when trying to receive an event I get:

InvalidApiVersionError: The version of this extension is not the same. Extension version 0.1.12, Api version: 0.1.7. Please retry the request with the correct version

Reply